FilterSet.OnMissing (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types, class: FilterSet, class: OnMissing

Package org.apache.tools.ant.types

# Class FilterSet.OnMissing

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.FilterSet.OnMissing

Enclosing class:
  `FilterSet`

public static class FilterSet.OnMissing extends EnumeratedAttribute
EnumeratedAttribute to set behavior WRT missing filtersfiles: "fail" (default), "warn", "ignore".

Since:
  Ant 1.7

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FilterSet.OnMissing`
  `FAIL`
  Fail value
  `static final FilterSet.OnMissing`
  `IGNORE`
  Ignore value
  `static final FilterSet.OnMissing`
  `WARN`
  Warn value

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OnMissing()`
  Default constructor.
  `OnMissing(String value)`
  Convenience constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FAIL

    public static final FilterSet.OnMissing FAIL
    Fail value

  - ### WARN

    public static final FilterSet.OnMissing WARN
    Warn value

  - ### IGNORE

    public static final FilterSet.OnMissing IGNORE
    Ignore value

- ## Constructor Details

  - ### OnMissing

    public OnMissing()
    Default constructor.

  - ### OnMissing

    public OnMissing(String value)
    Convenience constructor.
    Parameters:
      `value` - the value to set.

- ## Method Details

  - ### getValues

    public String[] getValues()
    This is the only method a subclass needs to implement..
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.